# Uses of Interface
com.sun.jdi.Method

Packages that use Method
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.
com.sun.jdi.event
This package defines JDI events and event processing.

## Uses of Method in com.sun.jdi

Methods in com.sun.jdi that return Method
Modifier and Type
Method
Description
`Method`
ClassType.`concreteMethodByName(String name, String signature)`
Returns a the single non-abstract `Method` visible from this class that has the given name and signature.
`Method`
Location.`method()`
Gets the method containing this Location.
Methods in com.sun.jdi that return types with arguments of type Method
Modifier and Type
Method
Description
`List<Method>`
ReferenceType.`allMethods()`
Returns a list containing each `Method` declared in this type, and its superclasses, implemented interfaces, and/or superinterfaces.
`List<Method>`
ReferenceType.`methods()`
Returns a list containing each `Method` declared directly in this type.
`List<Method>`
ReferenceType.`methodsByName(String name)`
Returns a List containing each visible `Method` that has the given name.
`List<Method>`
ReferenceType.`methodsByName(String name, String signature)`
Returns a List containing each visible `Method` that has the given name and signature.
`List<Method>`
ReferenceType.`visibleMethods()`
Returns a list containing each `Method` declared or inherited by this type.
Methods in com.sun.jdi with parameters of type Method
Modifier and Type
Method
Description
`Value`
ClassType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`default Value`
InterfaceType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`Value`
ObjectReference.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified `Method` on this object in the target VM.
`ObjectReference`
ClassType.`newInstance(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Constructs a new instance of this type, using the given constructor `Method` in the target VM.

## Uses of Method in com.sun.jdi.event

Methods in com.sun.jdi.event that return Method
Modifier and Type
Method
Description
`Method`
MethodEntryEvent.`method()`
Returns the method that was entered.
`Method`
MethodExitEvent.`method()`
Returns the method that was exited.